Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 587107 - Other Programs Can Encounter "Disk Full" Problems Whilst Tracker is Mining Data
Summary: Other Programs Can Encounter "Disk Full" Problems Whilst Tracker is Mining Data
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: tracker
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Deji Akingunola
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-28 22:48 UTC by David Le Sage
Modified: 2011-06-27 15:56 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 15:56:57 UTC
Type: ---


Attachments (Terms of Use)
Here is a copy of the tracker-miner-fs.log. Hope this helps. Cheers. (5.63 MB, application/octet-stream)
2010-04-29 22:08 UTC, David Le Sage
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 617170 0 None None None Never

Description David Le Sage 2010-04-28 22:48:54 UTC
Description of problem:
I tried to manually launch abrt whilst tracker mining/indexing was switched on.  abrt would fail with "disk full" errors, though df reported my disk was not full.  As soon as tracker was switched off, the problem disappeared.

Version-Release number of selected component (if applicable):
tracker 0.8.3-1
abrt 1.0.9-2

How reproducible:
Only tried once so far.

Steps to Reproduce:
1. tracker-control -s (only default miners are installed.  Left it running over night to index system.  It appeared to have done so as it had reached 100% indexing completed.)
2. service abrtd stop
3. abrtd -dvvv
4. Output of abrt:

abrtd: inotify_add_watch failed on '/var/cache/abrt': No space left on device

5. Because of this error, I ran df. Here is the output:

Filesystem           1K-blocks      Used Available Use% Mounted on
/dev/mapper/VolGroup-lv_root
                     100791728  12018816  83652912  13% /
tmpfs                  2001184       956   2000228   1% /dev/shm
/dev/sda1               198337     98969     89128  53% /boot
/dev/mapper/VolGroup-LogVol02
                      47807384  36117772   9261096  80% /home    

6. Next, I turned off the data-mining with: tracker-control -t
7. Ran abrtd -dvvv again.
8. Error no longer appears.


  
Actual results:
abrt was reporting that disk was out of space when only 13% of root was in use.

Expected results:
Data mining/indexing should not consume this amount of resources (if it was) or interfere with running of other programs.

Additional info:

Comment 1 Deji Akingunola 2010-04-29 13:38:25 UTC
(In reply to comment #0)

The following response were left by the upstream developer on the bug at GNOME bugzilla;  

> 
> abrtd: inotify_add_watch failed on '/var/cache/abrt': No space left on device
>

 "No space left on device" is slightly inaccurate. What it really means is, you
have no more inotify watches available. You have exhausted them all.

Tracker uses MAX - 512 so you always have 512 for other applications, so
presumably some other application is using a lot of inotify watches AND you
used up all the watches in Tracker too.

> 5. Because of this error, I ran df. Here is the output:
> 
> Filesystem           1K-blocks      Used Available Use% Mounted on
> /dev/mapper/VolGroup-lv_root
>                      100791728  12018816  83652912  13% /
> tmpfs                  2001184       956   2000228   1% /dev/shm
> /dev/sda1               198337     98969     89128  53% /boot
> /dev/mapper/VolGroup-LogVol02
>                       47807384  36117772   9261096  80% /home    
> 

Yea, this has nothing to do with actual disk space.

> 6. Next, I turned off the data-mining with: tracker-control -t
> 7. Ran abrtd -dvvv again.
> 8. Error no longer appears.
> 
That's because tracker uses a lot if watches (depending on your file system).

Are you able to provide logs from tracker-miner-fs? For details see the Logging
section of this page: 

  http://live.gnome.org/Tracker/Documentation/Debugging

That log should tell you if you're exhausting your inotify watches or not,
which I suspect you are, in any case, there should be *some* left for your
application to operate normally unless another application uses too many too.

Comment 2 David Le Sage 2010-04-29 22:08:06 UTC
Created attachment 410246 [details]
Here is a copy of the tracker-miner-fs.log.   Hope this helps.  Cheers.

Comment 3 Bug Zapper 2011-06-02 14:44:40 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Bug Zapper 2011-06-27 15:56:57 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.